%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global packagename corser

Name:       nodejs-%{packagename}
Version:    2.0.1
Release:    4%{?dist}
Summary:    CORS middleware for Node.js
License:    MIT
URL:        https://github.com/agrueneberg/%{packagename}
Source0:    https://github.com/agrueneberg/%{packagename}/archive/%{version}.tar.gz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  nodejs-expect-dot-js
%endif

%description
A highly configurable, middleware compatible implementation of CORS for Node.js

%prep
%autosetup -n Corser-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha
%endif

%files
%doc README.md example 
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr 28 2017 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-1
- initial package
